Subject: Re: [patch 01/10] e1000e: make E1000E default to the same kconfig setting as E1000

From: Adrian Bunk <[email-masked]>
Date: Sat, 15 Dec 2007 01:02:34 +0100

On Fri, Dec 14, 2007 at 06:17:55PM -0500, Jeff Garzik wrote:
> Adrian Bunk wrote:
>> On Fri, Dec 14, 2007 at 03:39:26PM -0500, Jeff Garzik wrote:
>>> [email-masked] wrote:
>>>> From: Randy Dunlap <[email-masked]>
>>> ...
>>> So I think the breakage that occurs is mitigated by two factors:
>>> 1) kernel hackers that do their own configs are expected to be able to 
>>> figure this stuff.
>>> 2) kernel builders (read: distros, mainly) are expected to have put 
>>> thought into the Kconfig selection and driver migration strategies.
>>> ...
>>> I would prefer simply to communicate to kernel experts and builders about 
>>> a Kconfig issue that could potentially their booting/networking...  
>>> because this patch is only needed if the kernel experts do not already 
>>> know about a necessary config update.
>>
>> You miss the vast majority of kconfig users:
>>
>> 3) system administrators etc. who for different reasons compile their own 
>> kernels but neither are nor want to be kernel developers
>>
>> There's a reason why e.g. LPI requires you to be able to compile your own 
>> kernel even for getting a "Junior Level Linux Professional" certificate.
>
> Great!
>
>
>> Or that one of the authors of "Linux Device drivers" has written a book 
>> covering only how to build and run your own kernel.
>
> Nonetheless, it will always be true that configuring your own kernel 
> requires knowledge of the options you are setting.

We are not talking about Aunt Tillie, "system administrator" is the use 
case that might cover this (quite diverse) group of users best.

We can expect kconfig users to know what filesystems their data is on 
and to have some knowledge of their hardware, but every other knowledge 
we must give through kconfig.

> 	Jeff

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed